Page MenuHomePhabricator

Gadget related namespaces aren't translated into Dutch
Closed, ResolvedPublic

Description

When you go to https://nl.wikipedia.org/w/index.php?title=Speciaal:Zoeken&search=&fulltext=Zoeken&profile=advanced the namespaces: Gadget, Gadget talk, Gadget definition and Gadget definition talk aren't translated. It's reported here. They should be: Extensies, Overleg extensies, Extensie definitie and Overleg extensie definitie.
Can someone translate it or tell me where I can find the code so I can do it myself?

Event Timeline

Mbch331 created this task.Jun 19 2016, 9:57 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 19 2016, 9:57 PM

Thanks for reporting this!

https://phabricator.wikimedia.org/diffusion/EGAD/browse/master/Gadgets.namespaces.php is the file to add an 'nl' translation to. If you are interested in providing a patch in Gerrit, see https://www.mediawiki.org/wiki/Gerrit/Tutorial for more information.

Also https://translatewiki.net/wiki/Translating:MediaWiki#Translating_namespace_names seems to have relevant info for those who want to write a patch.

Mbch331 claimed this task.Jun 24 2016, 5:42 PM

Change 295957 had a related patch set uploaded (by Mbch331):
Added Dutch translation

https://gerrit.wikimedia.org/r/295957

NS_GADGET_DEFINITION_TALK => 'Extensie_definities',

I think 'Overleg' is missing there?

NS_GADGET_DEFINITION_TALK => 'Extensie_definities',

I think 'Overleg' is missing there?

You're right Akoopal. Just submitted a new patch, fixing that error.

siebrand closed this task as Resolved.Jun 25 2016, 2:28 PM

Change 295957 merged by jenkins-bot:
Added Dutch translation

https://gerrit.wikimedia.org/r/295957